CVE-2023-38711

NameCVE-2023-38711
DescriptionAn issue was discovered in Libreswan before 4.12. When an IKEv1 Quick Mode connection configured with ID_IPV4_ADDR or ID_IPV6_ADDR receives an IDcr payload with ID_FQDN, a NULL pointer dereference causes a crash and restart of the pluto daemon. NOTE: the earliest affected version is 4.6.
SourceCVE (at NVD; CERT, LWN, oss-sec, fulldisc, Red Hat, Ubuntu, Gentoo, SUSE bugzilla/CVE, GitHub advisories/code/issues, web search, more)

Vulnerable and fixed packages

The table below lists information on source packages.

Source PackageReleaseVersionStatus
libreswan (PTS)buster, buster (security)3.27-6+deb10u1fixed
bullseye (security), bullseye4.3-1+deb11u3fixed
bookworm4.10-2+deb12u1vulnerable
trixie, sid4.12-1fixed

The information below is based on the following data on fixed versions.

PackageTypeReleaseFixed VersionUrgencyOriginDebian Bugs
libreswansourcebuster(not affected)
libreswansourcebullseye(not affected)
libreswansource(unstable)4.12-1

Notes

[bullseye] - libreswan <not-affected> (Vulnerable code not present)
[buster] - libreswan <not-affected> (Vulnerable code not present)
https://libreswan.org/security/CVE-2023-38711/CVE-2023-38711.txt
https://libreswan.org/security/CVE-2023-38711/CVE-2023-38711.patch

Search for package or bug name: Reporting problems